### Hierarchy

- Italic

### Implements

- IRenderable

## Index

### Constructors

- constructor

### Properties

- spec

### Methods

- render

## Constructors

### constructor

- new Italic(message: ISpecification): Italic

- - Defined in lib/renderable/italic/index.ts:16

  #### Parameters

  - ##### message: ISpecification

  #### Returns Italic

## Properties

### Private spec

spec: ISpecification

- Defined in lib/renderable/italic/index.ts:16

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IRenderable.render

  - Defined in lib/renderable/italic/index.ts:25

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

Generated using TypeDoc